#include <iostream>
#include <string>
using namespace std;
int main()
{
  int n,r,l;
  cin>> n;
  int a[n];
  int b[n];
  for(int i=1;i<n+1;i++)
  {
      cin >> r;
      cin >> l;
      a[i]=r;
      b[i]=l;
  }
  if(n==2)
  {
      if(a[1]!=a[2] && b[1]!=b[2])
      {
          cout << 0;
      }
      if(a[1]==a[2] || b[1]==b[2])
      {
          cout << 1;
      }
  }
    int r1=0;
    int l1=0;
  if(n!=2)
  {
        long minm;
        long minn;
        for(int i=1;i<n;i++)
        {
            minm=i;
            for(int j=i+1;j<n+1;j++)
            {
                if(b[minm]>b[j])
                {
                    minm=j;
                }
            }
            swap(b[minm],b[i]);
        }
        for(int i=1;i<n;i++)
        {
            minn=i;
            for(int j=i+1;j<n+1;j++)
            {
                if(a[minn]>a[j])
                {
                    minn=j;
                }
            }
            swap(a[minn],a[i]);
        }
        for(int i=1;i<n+1;i++)
        {
            r1=r1+(abs(i-a[i]));
        }
        for(int i=1;i<n+1;i++)
        {
            l1=l1+(abs(i-b[i]));
        }
        cout<<l1+r1;
    }
}